Package: courier
Version: 0.64.2-1
Severity: normal
Tags: patch
User: ubuntu-de...@lists.ubuntu.com
Usertags: origin-ubuntu maverick ubuntu-patch

The patch also does the following:
* Check for run & calendar dirs
* Read /etc/default/courier in courier-imap.init, courier-pop-ssl.init, 
  courier-pop.init

*** /tmp/tmpYEhTbo
In Ubuntu, we've applied the attached patch to achieve the following:

  * Merge from Debian unstable (LP: #583326).  Remaining changes:
    - debian/control:
      + Added Depends lsb-base to courier-mta, sqwebmail, courier-imap,
        courier-pcp, courier-ldap, courier-mta-ssl, courier-pop-ssl,
        courier-imap-ssl
    - debian/courier-imap.init, debian/courier-imap-ssl.init,
      debian/courier-ldap.init, debian/courier-mta.init,
      debian/courier-mta-ssl.init, debian/courier-pcp.init,
      debian/courier-pop-.init, debian/courier-pop-ssl.init, sqwebmail.init:
      + Added LSB sections
      + Make use of /lib/lsb/init-functions
      + Use log_*_msg instead of echo

We thought you might be interested in doing the same. 


-- System Information:
Debian Release: squeeze/sid
  APT prefers lucid-updates
  APT policy: (500, 'lucid-updates'), (500, 'lucid-security'), (500, 
'lucid-proposed'), (500, 'lucid-backports'), (500, 'lucid')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-22-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
diff -u courier-0.64.2/debian/courier-mlm.init courier-0.64.2/debian/courier-mlm.init
--- courier-0.64.2/debian/courier-mlm.init
+++ courier-0.64.2/debian/courier-mlm.init
@@ -78,7 +78,7 @@
     $0 start
     ;;
 *)
-	echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+	log_success_msg "Usage: $0 {start|stop|restart|force-reload}"
 	exit 2
 	;;
 esac
diff -u courier-0.64.2/debian/courier-imap-ssl.init courier-0.64.2/debian/courier-imap-ssl.init
--- courier-0.64.2/debian/courier-imap-ssl.init
+++ courier-0.64.2/debian/courier-imap-ssl.init
@@ -6,14 +6,16 @@
 # Required-Stop:     $remote_fs $syslog
 # Default-Start:     2 3 4 5
 # Default-Stop:      0 1 6
+# Description:       courier-imap is an IMAP Mail Delivery Agent with SSL.
 ### END INIT INFO
-
 prefix="/usr"
 exec_prefix=${prefix}
 sysconfdir="/etc/courier"
 bindir="${exec_prefix}/bin"
 sbindir="${exec_prefix}/sbin"
 libexecdir="${prefix}/lib/courier"
+run_dir="/var/run/courier"
+calendar_dir="/var/run/courier/calendar"
 TCPD=${sbindir}/couriertcpd
 DAEMONPROG=${sbindir}/imapd
 DAEMON=imapd-ssl
@@ -24,20 +26,37 @@
 	exit 0
 fi
 
+. /lib/lsb/init-functions
+
+if [ ! -d ${run_dir} ]; then
+	mkdir -p ${run_dir}
+	chown daemon:daemon ${run_dir}
+fi
+
+if [ ! -d ${calendar_dir} ]; then
+	mkdir -p ${calendar_dir}
+	chown daemon:daemon ${calendar_dir}
+fi
+
+
 if ! [ -x $TCPD ]; then
-  echo "ERR: $TCPD missing"
+  log_failure_msg "ERR: $TCPD missing"
   exit 1
 fi
 
 if ! [ -f ${sysconfdir}/imapd ]; then
-  echo "ERR: config file missing"
+  log_failure_msg "ERR: config file missing"
   exit 1
 fi
 if ! [ -f ${sysconfdir}/imapd-ssl ]; then
-  echo "ERR: config file missing"
+  log_failure_msg "ERR: config file missing"
   exit 1
 fi
 
+# read/set defaults
+if [ -f /etc/default/courier ]; then
+	. /etc/default/courier
+fi
 # ensure that maildirpath is set
 if [ -z "$MAILDIRPATH" ]; then
 	MAILDIRPATH=Maildir
@@ -52,7 +71,7 @@
 fi
 
 if ! [ -x $COURIERTLS ]; then
-  echo "ERR: $COURIERTLS missing"
+  log_failure_msg "ERR: $COURIERTLS missing"
   exit 1
 fi
 
@@ -64,7 +83,7 @@
 case "$1" in
 start)
   if [ "$START" = "yes" ]; then
-    echo -n "Starting $PROGRAM:"
+    log_begin_msg "Starting $PROGRAM..."
 
 	umask $IMAP_UMASK
     ulimit -v $IMAP_ULIMITD
@@ -83,20 +102,20 @@
 			$SSLPORT $COURIERTLS -server -tcpd \
 			${libexecdir}/courier/imaplogin \
 				${bindir}/imapd $MAILDIRPATH"
-    echo " $DAEMON."
+    log_end_msg 0
   fi
 	;;
 stop)
-  echo -n "Stopping $PROGRAM:"
-  /usr/sbin/courierlogger -pid=$SSLPIDFILE -stop
-  echo " $DAEMON."
+   log_begin_msg "Stopping $PROGRAM..."
+   /usr/sbin/courierlogger -pid=$SSLPIDFILE -stop || log_end_msg 1
+   log_end_msg 0
 	;;
 restart | force-reload)
   $0 stop
   $0 start
 	;;
 *)
-  echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+  log_success_msg "Usage: $0 {start|stop|restart|reload|force-reload}"
   exit 1
   ;;
 esac
diff -u courier-0.64.2/debian/courier-imap.init courier-0.64.2/debian/courier-imap.init
--- courier-0.64.2/debian/courier-imap.init
+++ courier-0.64.2/debian/courier-imap.init
@@ -6,8 +6,8 @@
 # Required-Stop:     $remote_fs $syslog
 # Default-Start:     2 3 4 5
 # Default-Stop:      0 1 6
+# Description:       courier-imap is an IMAP Mail Delivery Agent.
 ### END INIT INFO
-
 prefix="/usr"
 exec_prefix=${prefix}
 sysconfdir="/etc/courier"
@@ -15,25 +15,44 @@
 sbindir="${exec_prefix}/sbin"
 libexecdir="${prefix}/lib/courier"
 TCPD="${sbindir}/couriertcpd"
+run_dir="/var/run/courier"
+calendar_dir="/var/run/courier/calendar"
 DAEMON="imapd"
 PROGRAM="Courier IMAP server"
 SSLCONFIG=
 
+. /lib/lsb/init-functions
+
 # first of all check if daemon is available
 if ! [ -x "${bindir}/imapd" ]; then
 	exit 0
 fi
 
+if [ ! -d ${run_dir} ]; then
+        mkdir -p ${run_dir}
+        chown daemon:daemon ${run_dir}
+fi
+
+if [ ! -d ${calendar_dir} ]; then
+        mkdir -p ${calendar_dir}
+        chown daemon:daemon ${calendar_dir}
+fi
+
+
 if ! [ -x $TCPD ]; then
-  echo "ERR: $TCPD missing"
+  log_failure_msg "ERR: $TCPD missing"
   exit 1
 fi
 
 if ! [ -f ${sysconfdir}/$DAEMON ]; then
-  echo "ERR: config file missing"
+  log_failure_msg "ERR: config file missing"
   exit 1
 fi
 
+# read/set defaults
+if [ -f /etc/default/courier ]; then
+	. /etc/default/courier
+fi
 # ensure that maildirpath is set
 if [ -z "$MAILDIRPATH" ]; then
 	MAILDIRPATH=Maildir
@@ -58,7 +77,7 @@
 case "$1" in
 start)
   if [ "$START" = "yes" ]; then
-    echo -n "Starting $PROGRAM:"
+    log_begin_msg "Starting $PROGRAM..."
 
 	umask $IMAP_UMASK
     ulimit -v $IMAP_ULIMITD
@@ -75,20 +94,20 @@
 			$TCPDOPTS \
 			$PORT ${libexecdir}/courier/imaplogin \
 				${bindir}/imapd $MAILDIRPATH"
-    echo " $DAEMON."
+    log_end_msg 0
   fi
 	;;
 stop)
-  echo -n "Stopping $PROGRAM:"
-  /usr/sbin/courierlogger -pid=$PIDFILE -stop
-  echo " $DAEMON."
+  log_begin_msg "Stopping $PROGRAM..."
+  /usr/sbin/courierlogger -pid=$PIDFILE -stop || log_end_msg 1
+  log_end_msg 0
 	;;
 restart | force-reload)
   $0 stop
   $0 start
 	;;
 *)
-  echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+  log_success_msg "Usage: $0 {start|stop|restart|reload|force-reload}"
   exit 1
   ;;
 esac
diff -u courier-0.64.2/debian/courier-pop-ssl.init courier-0.64.2/debian/courier-pop-ssl.init
--- courier-0.64.2/debian/courier-pop-ssl.init
+++ courier-0.64.2/debian/courier-pop-ssl.init
@@ -6,6 +6,7 @@
 # Required-Stop:     $remote_fs $syslog
 # Default-Start:     2 3 4 5
 # Default-Stop:      0 1 6
+# Description:       courier-pop-ssl is an POP3 Mail Delivery Agent with SSL support.
 ### END INIT INFO
 
 prefix="/usr"
@@ -14,6 +15,8 @@
 sbindir="${exec_prefix}/sbin"
 bindir="${exec_prefix}/bin"
 libexecdir="${prefix}/lib/courier"
+run_dir="/var/run/courier"
+calendar_dir="/var/run/courier/calendar"
 TCPD=${sbindir}/couriertcpd
 DAEMONPROG=${sbindir}/pop3d
 DAEMON=pop3d-ssl
@@ -21,20 +24,37 @@
 
 test -f $DAEMONPROG || exit 0
 
+. /lib/lsb/init-functions
+
+if [ ! -d ${run_dir} ]; then
+        mkdir -p ${run_dir}
+        chown daemon:daemon ${run_dir}
+fi
+
+if [ ! -d ${calendar_dir} ]; then
+        mkdir -p ${calendar_dir}
+        chown daemon:daemon ${calendar_dir}
+fi
+
+
 if ! [ -x $TCPD ]; then
-  echo "ERR: $TCPD missing"
+  log_failure_msg "ERR: $TCPD missing"
   exit 1
 fi
 
 if ! [ -f ${sysconfdir}/pop3d ]; then
-  echo "ERR: config file missing"
+  log_failure_msg "ERR: config file missing"
   exit 1
 fi
 if ! [ -f ${sysconfdir}/pop3d-ssl ]; then
-  echo "ERR: config file missing"
+  log_failure_msg "ERR: config file missing"
   exit 1
 fi
 
+# read/set defaults
+if [ -f /etc/default/courier ]; then
+	. /etc/default/courier
+fi
 # ensure that maildirpath is set
 if [ -z "$MAILDIRPATH" ]; then
 	MAILDIRPATH=Maildir
@@ -44,7 +64,7 @@
 . ${sysconfdir}/pop3d-ssl
 
 if ! [ -x $COURIERTLS ]; then
-  echo "ERR: $COURIERTLS missing"
+  log_failure_msg "ERR: $COURIERTLS missing"
   exit 1
 fi
 
@@ -56,7 +76,7 @@
 case "$1" in
 	start)
 	if [ "$START" = "yes" ]; then
-		echo -n "Starting $PROGRAM:"
+		log_begin_msg "Starting $PROGRAM..."
 
 		/usr/bin/env - PATH="$PATH" SHELL="$SHELL" \
 			/bin/sh -c " . ${sysconfdir}/pop3d ; \
@@ -76,20 +96,20 @@
 	  $SSLPORT $COURIERTLS -server -tcpd \
       ${libexecdir}/courier/courierpop3login \
       ${libexecdir}/courier/courierpop3d $MAILDIRPATH"
-		echo " $DAEMON."
+		log_end_msg 0
 	fi
 	;;
 stop)
-  echo -n "Stopping $PROGRAM:"
-  /usr/sbin/courierlogger -pid=$SSLPIDFILE -stop
-  echo " $DAEMON."
+  log_begin_msg "Stopping $PROGRAM..."
+  /usr/sbin/courierlogger -pid=$SSLPIDFILE -stop || log_end_msg 1
+  log_end_msg 0
 	;;
 restart | force-reload)
   $0 stop
   $0 start
 	;;
 *)
-  echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+  log_success_msg "Usage: $0 {start|stop|restart|reload|force-reload}"
   exit 1
   ;;
 esac
diff -u courier-0.64.2/debian/courier-pop.init courier-0.64.2/debian/courier-pop.init
--- courier-0.64.2/debian/courier-pop.init
+++ courier-0.64.2/debian/courier-pop.init
@@ -6,6 +6,7 @@
 # Required-Stop:     $remote_fs $syslog
 # Default-Start:     2 3 4 5
 # Default-Stop:      0 1 6
+# Description:       courier-pop is an POP3 Mail Delivery Agent.
 ### END INIT INFO
 
 prefix="/usr"
@@ -13,6 +14,8 @@
 sysconfdir="/etc/courier"
 sbindir="${exec_prefix}/sbin"
 libexecdir="${prefix}/lib/courier"
+run_dir="/var/run/courier"
+calendar_dir="/var/run/courier/calendar"
 TCPD="${sbindir}/couriertcpd"
 DAEMON=${sbindir}/pop3d
 PROGRAM="Courier POP3 server"
@@ -21,16 +24,34 @@
 
 test -f $DAEMON || exit 0
 
+. /lib/lsb/init-functions
+
+if [ ! -d ${run_dir} ]; then
+        mkdir -p ${run_dir}
+        chown daemon:daemon ${run_dir}
+fi
+
+if [ ! -d ${calendar_dir} ]; then
+        mkdir -p ${calendar_dir}
+        chown daemon:daemon ${calendar_dir}
+fi
+
+
+
 if ! [ -x $TCPD ]; then
-  echo "ERR: $TCPD missing"
+  log_failure_msg "ERR: $TCPD missing"
   exit 1
 fi
 
 if ! [ -f ${sysconfdir}/pop3d ]; then
-  echo "ERR: config file missing"
+  log_failure_msg "ERR: config file missing"
   exit 1
 fi
 
+# read/set defaults
+if [ -f /etc/default/courier ]; then
+	. /etc/default/courier
+fi
 # ensure that maildirpath is set
 if [ -z "$MAILDIRPATH" ]; then
 	MAILDIRPATH=Maildir
@@ -50,7 +71,7 @@
 case "$1" in
 start)
   if [ "$START" = "yes" ]; then
-    echo -n "Starting $PROGRAM:"
+    log_begin_msg "Starting $PROGRAM..."
 
     /usr/bin/env - /bin/sh -c " set -a; \
 		. ${sysconfdir}/pop3d; \
@@ -63,20 +84,20 @@
 		$TCPDOPTS -address=$ADDRESS $PORT \
 		${libexecdir}/courier/courierpop3login $AUTHMODULELIST \
 		${libexecdir}/courier/courierpop3d $MAILDIRPATH"
-    echo " $PROG."
+    log_end_msg 0
   fi
     ;;
 stop)
-  echo -n "Stopping $PROGRAM:"
-  $TCPD -pid=$PIDFILE -stop
-  echo " $PROG."
+  log_begin_msg "Stopping $PROGRAM..."
+  $TCPD -pid=$PIDFILE -stop || log_end_msg 1
+  log_end_msg 0
     ;;
 restart | force-reload)
   $0 stop
   $0 start
     ;;
 *)
-  echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+  log_success_msg "Usage: $0 {start|stop|restart|reload|force-reload}" >&2
   exit 1
   ;;
 esac
diff -u courier-0.64.2/debian/courier-mta.init courier-0.64.2/debian/courier-mta.init
--- courier-0.64.2/debian/courier-mta.init
+++ courier-0.64.2/debian/courier-mta.init
@@ -1,24 +1,32 @@
 #! /bin/sh -e
 ### BEGIN INIT INFO
 # Short-Description: Courier SMTP server
-# Provides:          courier-mta
+# Provides:          courier-mta mail-transport-agent
 # Required-Start:    $remote_fs $syslog
 # Required-Stop:     $remote_fs $syslog
 # Default-Start:     2 3 4 5
 # Default-Stop:      0 1 6
+# Description:       courier-mta is a Mail Transport agent
 ### END INIT INFO
-
 prefix="/usr"
 exec_prefix=${prefix}
 sysconfdir="/etc/courier"
 sbindir="${exec_prefix}/sbin"
 libexecdir="${prefix}/lib/courier"
+run_dir="/var/run/courier"
+calendar_dir="/var/run/courier/calendar"
 DAEMON=${sbindir}/esmtpd
 
 test -f $DAEMON || exit 0
 test -f "$sysconfdir/esmtpd" || exit 0
 test -f "$sysconfdir/esmtpd-msa" || exit 0
 
+if [ ! -d ${run_dir} ]; then
+        mkdir -p ${run_dir}
+        chown daemon:daemon ${run_dir}
+fi
+
+
 # Check if SMTP server should be started
 . ${sysconfdir}/esmtpd
 START_MTA=no
@@ -36,6 +44,8 @@
 	exit 0
 fi
 
+. /lib/lsb/init-functions
+
 case "$1" in
 start)
 	cd /
@@ -44,78 +54,78 @@
 	chgrp daemon /var/run/courier
 	chmod g+rwx /var/run/courier
 
-	echo -n "Starting Courier mail server:"
-	${sbindir}/courier start
-	echo " done."
-
-	echo -n "Starting Courier mail filter:"
-    ${sbindir}/courierfilter start
-    echo " done."
+	log_begin_msg "Starting Courier mail server..."
+	${sbindir}/courier start || log_end_msg 1
+	log_end_msg 0
+
+	log_begin_msg "Starting Courier mail filter..."
+	${sbindir}/courierfilter start || log_end_msg 1
+	log_end_msg 0
 
 	if [ "$START_MTA" = "yes" ]; then
-		echo -n "Starting Courier SMTP server:"
-		${sbindir}/esmtpd start
-		echo " done."
+		log_begin_msg "Starting Courier SMTP server..."
+		${sbindir}/esmtpd start || log_end_msg 1
+		log_end_msg 0
 	fi
 
 	if [ "$START_MSA" = "yes" ]; then
-		echo -n "Starting Courier SMTP MSA server:"
-		${sbindir}/esmtpd-msa start
-		echo " done."
+		log_begin_msg "Starting Courier SMTP MSA server..."
+		${sbindir}/esmtpd-msa start || log_end_msg 1
+		log_end_msg 0
 	fi
 	;;
 stop)
 	cd /
 
 	if [ "$START_MSA" = "yes" ]; then
-		echo -n "Stopping Courier SMTP MSA server:"
-		${sbindir}/esmtpd-msa stop
-		echo " done."
+		log_begin_msg "Stopping Courier SMTP MSA server..."
+		${sbindir}/esmtpd-msa stop || log_end_msg 1
+		log_end_msg 0
 	fi
 
 	if [ "$START_MTA" = "yes" ]; then
-		echo -n "Stopping Courier SMTP server:"
-		${sbindir}/esmtpd stop
-		echo " done."
+		log_begin_msg "Stopping Courier SMTP server..."
+		${sbindir}/esmtpd stop || log_end_msg 1
+		log_end_msg 0
 	fi
 
-	echo -n "Stopping Courier mail filter:"
-	${sbindir}/courierfilter stop
-    echo " done."
-
-	echo -n "Stopping Courier mail server:"
-	${sbindir}/courier stop
-	echo " done."
+	log_begin_msg "Stopping Courier mail filter..."
+	${sbindir}/courierfilter stop || log_end_msg 1
+	log_end_msg 0
+
+	log_begin_msg "Stopping Courier mail server..."
+	${sbindir}/courier stop || log_end_msg 1
+	log_end_msg 0
 	;;
 force-reload)
 	cd /
 
 	if [ "$START_MSA" = "yes" ]; then
-		echo -n "Restarting Courier SMTP MSA server:"
-		${sbindir}/esmtpd-msa restart
-		echo " done."
+		log_begin_msg "Restarting Courier SMTP MSA server..."
+		${sbindir}/esmtpd-msa restart || log_end_msg 1
+		log_end_msg 0
 	fi
 
 	if [ "$START_MTA" = "yes" ]; then
-		echo -n "Restarting Courier SMTP server:"
-		${sbindir}/esmtpd restart
-		echo " done."
+		log_begin_msg "Restarting Courier SMTP server..."
+		${sbindir}/esmtpd restart || log_end_msg 1
+		log_end_msg 0
 	fi
 
-	echo -n "Restarting Courier mail filter:"
-	${sbindir}/courierfilter restart
-    echo " done."
-
-	echo -n "Restarting Courier mail server:"
-	${sbindir}/courier restart
-	echo " done."
+	log_begin_msg "Restarting Courier mail filter..."
+	${sbindir}/courierfilter restart || log_end_msg 1
+	log_end_msg 0
+
+	log_begin_msg "Restarting Courier mail server..."
+	${sbindir}/courier restart || log_end_msg 1
+	log_end_msg 0
     ;;
 restart)
 	$0 stop
 	$0 start
 	;;
 *)
-	echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+	log_success_msg "Usage: $0 {start|stop|restart|reload|force-reload}"
 	exit 1
 	;;
 esac
diff -u courier-0.64.2/debian/courier-mta-ssl.init courier-0.64.2/debian/courier-mta-ssl.init
--- courier-0.64.2/debian/courier-mta-ssl.init
+++ courier-0.64.2/debian/courier-mta-ssl.init
@@ -1,20 +1,26 @@
 #! /bin/sh -e
 ### BEGIN INIT INFO
-# Short-Description: Courier SMTP server
-# Provides:          courier-mta-ssl
+# Provides:          courier-mta mail-transport-agent
 # Required-Start:    $remote_fs $syslog
 # Required-Stop:     $remote_fs $syslog
 # Default-Start:     2 3 4 5
 # Default-Stop:      0 1 6
+# Short-Description: courier-mta Mail Transport Agent
+# Description:       courier-mta is a Mail Transport agent
 ### END INIT INFO
-
 sysconfdir="/etc/courier"
 sbindir="/usr/sbin"
+run_dir="/var/run/courier"
 TCPD=${sbindir}/couriertcpd
 DAEMONPROG=${sbindir}/esmtpd-ssl
 
 test -f $DAEMONPROG || exit 0
 
+if [ ! -d ${run_dir} ]; then
+        mkdir -p ${run_dir}
+        chown daemon:daemon ${run_dir}
+fi
+
 # check for couriertcpd
 if ! [ -x $TCPD ]; then
   exit 0
@@ -38,23 +44,25 @@
 . ${sysconfdir}/esmtpd
 . ${sysconfdir}/esmtpd-ssl
 
+. /lib/lsb/init-functions
+
 case "$1" in
 start)
-	echo -n "Starting Courier SMTP/SSL server:"
-	${sbindir}/esmtpd-ssl start
-	echo " done."
+	log_begin_msg "Starting Courier SMTP/SSL server..."
+	${sbindir}/esmtpd-ssl start || log_end_msg 1
+	log_end_msg 0
 	;;
 stop)
-	echo -n "Stopping Courier SMTP/SSL server:"
-   	${sbindir}/esmtpd-ssl stop
-   	echo " done."
+	log_begin_msg "Stopping Courier SMTP/SSL server..."
+   	${sbindir}/esmtpd-ssl stop || log_end_msg 1
+   	log_end_msg 0
 	;;
 restart | force-reload)
     $0 stop
     $0 start
     ;;
 *)
-  echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+  log_success_msg "Usage: $0 {start|stop|restart|reload|force-reload}"
   exit 1
   ;;
 esac
diff -u courier-0.64.2/debian/courier-pcp.init courier-0.64.2/debian/courier-pcp.init
--- courier-0.64.2/debian/courier-pcp.init
+++ courier-0.64.2/debian/courier-pcp.init
@@ -6,6 +6,7 @@
 # Required-Stop:     $remote_fs $syslog
 # Default-Start:     2 3 4 5
 # Default-Stop:      0 1 6
+# Description:       courier-pcp Personal Calendaring Protocol server
 ### END INIT INFO
 #
 # Copyright 2002,2004,2008 by Stefan Hornburg (Racke) <ra...@linuxia.de>
diff -u courier-0.64.2/debian/control courier-0.64.2/debian/control
--- courier-0.64.2/debian/control
+++ courier-0.64.2/debian/control
@@ -64,7 +65,7 @@
 
 Package: courier-mta
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, courier-base (>= ${RELUP})
+Depends: ${misc:Depends}, ${shlibs:Depends}, courier-base (>= ${RELUP}), lsb-base (>= 1.3.9ubuntu3)
 Conflicts: courier-faxmail (<= 0.42.2-6), mail-transport-agent
 Provides: mail-transport-agent
 Replaces: mail-transport-agent
@@ -116,7 +117,7 @@
 
 Package: sqwebmail
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, exim4 | mail-transport-agent, courier-base (>= ${RELUP}), ispell, iamerican | ispell-dictionary, apache2 | httpd-cgi, cron, expect, courier-maildrop (>= ${RELUP})
+Depends: ${misc:Depends}, ${shlibs:Depends}, exim4 | mail-transport-agent, courier-base (>= ${RELUP}), ispell, iamerican | ispell-dictionary, apache2 | httpd-cgi, cron, expect, courier-maildrop (>= ${RELUP}), lsb-base (>= 1.3.9ubuntu3)
 Suggests: courier-doc, gnupg, courier-pcp
 Description: Courier mail server - webmail server
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
@@ -129,7 +130,7 @@
 
 Package: courier-pcp
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, sqwebmail
+Depends: ${misc:Depends}, ${shlibs:Depends}, sqwebmail, lsb-base (>= 1.3.9ubuntu3)
 Suggests: courier-doc
 Description: Courier mail server - PCP server
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
@@ -171,13 +172,13 @@
  SSL, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
  services within a single, consistent, framework.
  .
- This package provides an IMAP server that accesses email stored in Maildirs format mailboxes.
- This server has an extremely small footprint and provides shared and
- virtual shared folders.
+ This package provides an IMAP server that accesses email stored in Maildirs 
+ format mailboxes. This server has an extremely small footprint and provides 
+ shared and virtual shared folders.
 
 Package: courier-ldap
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, courier-base (>= ${RELUP}), courier-authlib-ldap
+Depends: ${misc:Depends}, ${shlibs:Depends}, courier-base (>= ${RELUP}), courier-authlib-ldap, lsb-base (>= 1.3.9ubuntu3)
 Suggests: courier-doc
 Replaces: courier-imap-authldap
 Conflicts: courier-imap-authldap
@@ -218,7 +219,7 @@
 
 Package: courier-mta-ssl
 Architecture: any
-Depends: ${misc:Depends}, courier-mta, courier-ssl (>= ${RELUP})
+Depends: ${misc:Depends}, courier-mta, courier-ssl (>= ${RELUP}), lsb-base (>= 1.3.9ubuntu3)
 Suggests: courier-doc
 Priority: extra
 Description: Courier mail server - ESMTP over SSL
@@ -232,7 +233,7 @@
 
 Package: courier-pop-ssl
 Architecture: any
-Depends: ${misc:Depends}, courier-pop, courier-ssl (>= ${RELUP})
+Depends: ${misc:Depends}, courier-pop, courier-ssl (>= ${RELUP}), lsb-base (>= 1.3.9ubuntu3)
 Suggests: courier-doc
 Description: Courier mail server - POP3 over SSL
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
@@ -245,7 +246,7 @@
 
 Package: courier-imap-ssl
 Architecture: any
-Depends: ${misc:Depends}, courier-imap (>= 1.3.7-3), courier-ssl (>= ${RELUP}), openssl
+Depends: ${misc:Depends}, courier-imap (>= 1.3.7-3), courier-ssl (>= ${RELUP}), openssl, lsb-base (>= 1.3.9ubuntu3)
 Suggests: courier-doc, imap-client
 Priority: extra
 Description: Courier mail server - IMAP over SSL
diff -u courier-0.64.2/debian/courier-ldap.init courier-0.64.2/debian/courier-ldap.init
--- courier-0.64.2/debian/courier-ldap.init
+++ courier-0.64.2/debian/courier-ldap.init
@@ -7,6 +7,7 @@
 # Should-Start:      slapd
 # Default-Start:     2 3 4 5
 # Default-Stop:      0 1 6
+# Description:       courier-ldap is the Courier LDAP alias daemon.
 ### END INIT INFO
 #
 # Copyright 2002,2006,2008,2010 by Stefan Hornburg (Racke) <ra...@linuxia.de>
@@ -40,30 +41,32 @@
 	exit 0
 fi
 
+. /lib/lsb/init-functions
+
 case "$1" in
 start)
 	# Start Courier LDAP alias daemon
-	echo -n "Starting Courier LDAP alias daemon: "
+	log_begin_msg "Starting Courier LDAP alias daemon..."
 	if [ ! -d "$RUNDIR" ]; then
 		mkdir -p -m 0775 $RUNDIR
 		chgrp daemon $RUNDIR
 	fi
-	$DAEMON start
-	echo "done."
+	$DAEMON start || log_end_msg 1
+	log_end_msg 0
 	;;
 stop)
 	# Stop Courier LDAP alias daemon
-	echo -n "Stopping Courier LDAP alias daemon: "
-	$DAEMON stop
-	echo "done."
+	log_begin_msg "Stopping Courier LDAP alias daemon..."
+	$DAEMON stop || log_end_msg 1
+	log_end_msg 0
 	;;
-restart | force-reload)
-	echo -n "Restarting Courier LDAP alias daemon: "
-	$DAEMON restart
-	echo "done."
+restart | reload | force-reload)
+	log_begin_msg "Restarting Courier LDAP alias daemon..."
+	$DAEMON restart || log_end_msg 1
+	log_end_msg 0
     ;;
 *)
-	echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+	log_success_msg "Usage: $0 {start|stop|restart|reload|force-reload}"
 	exit 1
 	;;
 esac

Reply via email to